#!/bin/bash
#
#  set the bounds
#
R=-R122.5W/115W/32.7N/38N
#R=-R118.5W/115.2W/33.0N/34.5N
#
#  clean out old files
#
rm -f *.nc
rm -f *.grd
rm -f gmt*
#
# Use blockmean to avoid aliasing
gmt blockmean $R -I1m data.lluv -fg -i0,1,2,4 -W > blk.llu
gmt blockmean $R -I1m data.lluv -fg -i0,1,3,5 -W > blk.llv
gmt convert -A blk.llu blk.llv -o0-2,6,3,7 > tmp.lluv
#
# change some of the e-component of the vectors
#
awk '{if($1 > -116.6 && $1 < -116.5 && $2 > 33.5 && $2 < 33.7) print($1,$2,-$3,$4,5*$5,5*$6); else print($0);}' < tmp.lluv > blk.lluv
#
#  do the gridding.
#
gmt gpsgridder $R -I.01 -Gtmp_%s.nc blk.lluv -fg -Vl -Fd4 -r -Cn700+eigen.txt -S0.50 -W
#
mv tmp_u.nc GPS_u.grd
mv tmp_v.nc GPS_v.grd
ln -s GPS_u.grd ve_tot.grd
ln -s GPS_v.grd vn_tot.grd
echo "Created GPS_u.grd and GPS_v.grd"

